#!../../bin/darwin-ppc/hp8648Test

##############################################################################
## Set PV prefix and device parameters
epicsEnvSet("P","$(P=chk:)")
epicsEnvSet("A","$(A=2)")
epicsEnvSet("E","164.54.51.21")

< envPaths

##############################################################################
## Register all support components
cd ${TOP}
dbLoadDatabase("dbd/hp8648Test.dbd",0,0)
hp8648Test_registerRecordDeviceDriver(pdbbase)

##############################################################################
## Configure hardware
vxi11Configure("L0","$(E)",0,0.0,"gpib0",0,0)
#asynSetTraceMask("L0",$(A),0x1F)
#asynSetTraceIOMask("L0",$(A),0x2)
#asynSetTraceMask("L0",-1,0x1F)
#asynSetTraceIOMask("L0",-1,0x2)

##############################################################################
## Load record instances
cd ${TOP}
dbLoadRecords("db/asynRecord.db","P=$(P),R=hp8648:,PORT=L0,ADDR=$(A),IMAX=0,OMAX=0")
dbLoadRecords("db/devHP8648.db","P=$(P),R=hp8648:,L=0,A=$(A)")

##############################################################################
## Start EPICS
cd ${TOP}/iocBoot/${IOC}
iocInit()


epicsThreadSleep 1
dbpf chk:hp8648:IDN.PROC 1

